# Uses of Class
org.eclipse.birt.report.model.api.DataSourceHandle

Packages that use DataSourceHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of DataSourceHandle in org.eclipse.birt.report.model.api

Subclasses of DataSourceHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`OdaDataSourceHandle`
Represents a extended data source.
`class`
`ScriptDataSourceHandle`
Represents a script data source.
Methods in org.eclipse.birt.report.model.api that return DataSourceHandle
Modifier and Type
Method
Description
`final DataSourceHandle`
ModuleHandleImpl.`findDataSource(String name)`
Finds a data source by name in this module and the included modules.
`DataSourceHandle`
DataSetHandle.`getDataSource()`
Returns a handle to the data source for this data set.

## Uses of DataSourceHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type DataSourceHandle
Modifier and Type
Method
Description
`IDataSource`
SimpleElementFactory.`createDataSource(DataSourceHandle handle)`

## Uses of DataSourceHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type DataSourceHandle
Modifier and Type
Method
Description
`IDataSource`
ISimpleElementFactory.`createDataSource(DataSourceHandle handle)`
Creates the IDataSource instance.